# -*- coding: utf-8 -*-
### BEGIN LICENSE
# Busca: Full featured file searching application
# Copyright (C) 2009 Jordi Carrillo Bosch
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

### END LICENSE

import sys
import os
import gtk

from busca.buscaconfig import getdatapath
from busca import buscaconst

class AboutBuscaDialog(gtk.AboutDialog):
    __gtype_name__ = "AboutBuscaDialog"

    def __init__(self):
        """__init__ - This function is typically not called directly.
        Creation of a AboutFindfilesDialog requires redeading the associated ui
        file and parsing the ui definition extrenally, 
        and then calling AboutFindfilesDialog.finish_initializing().
    
        Use the convenience function NewAboutFindfilesDialog to create 
        NewAboutFindfilesDialog objects.
    
        """
        pass
    def finish_initializing(self, builder):
        """finish_initalizing should be called after parsing the ui definition
        and creating a AboutFindfilesDialog object with it in order to finish
        initializing the start of the new AboutFindfilesDialog instance.
    
        """
        #get a reference to the builder and set up the signals
        self.builder = builder
                
        
        
        self.builder.connect_signals(self)
        logofilename = os.path.join(getdatapath(), 'media', 'logo.png')
        if os.path.exists(logofilename):
            self.set_logo(gtk.gdk.pixbuf_new_from_file(logofilename))
        self.set_name("Busca")
        self.set_version(buscaconst.VERSION)
        self.set_authors(buscaconst.AUTHORS)
        self.set_website("http://launchpad.net/busca")
        self.set_copyright(
            "Copyright © 2009 Jordi Carrillo\n"
            "<jordilin@gmail.com>")


def NewAboutBuscaDialog():
    """NewAboutFindfilesDialog - returns a fully instantiated
    AboutFindfilesDialog object. Use this function rather than
    creating a AboutFindfilesDialog instance directly.
    
    """

    #look for the ui file that describes the ui
    ui_filename = os.path.join(getdatapath(), 'ui', 'AboutBuscaDialog.ui')
    if not os.path.exists(ui_filename):
        ui_filename = None

    builder = gtk.Builder()
    builder.add_from_file(ui_filename)    
    dialog = builder.get_object("about_busca_dialog")
    dialog.finish_initializing(builder)
    return dialog

if __name__ == "__main__":
    dialog = NewAboutBuscaDialog()
    dialog.show()
    gtk.main()

